//
//  setup_general_dlg.cpp - setup general dialog class implementation
//
//  $Id: setup_general_dlg.cpp 1 2007-04-15 22:52:37Z brian $ 
//
//  Copyright (c) 1999-2007 by Precision Micro Control Corp. All rights reserved.
//
#include "stdafx.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

//
// CSetupGeneral dialog
//
CSetupGeneral::CSetupGeneral(CWnd* pParent /*=NULL*/)
	: CDialog(CSetupGeneral::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSetupGeneral)
	m_PartPrgmEnglishDimUnit = "";
	m_PartPrgmEnglishPerUnit = "";
	m_PartPrgmMetricDimUnit = "";
	m_PartPrgmMetricPerUnit = "";
	m_DefaultUnits = "";
	m_MachineType = "";
	m_ProgramStyle = "";
	//}}AFX_DATA_INIT
}

void CSetupGeneral::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetupGeneral)
	DDX_CBString(pDX, IDC_PART_PRGM_ENGLISH_DIM, m_PartPrgmEnglishDimUnit);
	DDX_CBString(pDX, IDC_PART_PRGM_ENGLISH_PERIOD, m_PartPrgmEnglishPerUnit);
	DDX_CBString(pDX, IDC_PART_PRGM_METRIC_DIM, m_PartPrgmMetricDimUnit);
	DDX_CBString(pDX, IDC_PART_PRGM_METRIC_PERIOD, m_PartPrgmMetricPerUnit);
	DDX_CBString(pDX, IDC_DEFAULT_UNITS, m_DefaultUnits);
	DDV_MaxChars(pDX, m_DefaultUnits, 8);
	DDX_CBString(pDX, IDC_MACHINE_TYPE, m_MachineType);
	DDV_MaxChars(pDX, m_MachineType, 40);
	DDX_CBString(pDX, IDC_PROGRAM_STYLE, m_ProgramStyle);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSetupGeneral, CDialog)
	//{{AFX_MSG_MAP(CSetupGeneral)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CSetupGeneral message handlers
